package net.mkonrad.synes.data.instruments;

import javax.vecmath.Point3f;

import net.mkonrad.synes.data.Beat;
import net.mkonrad.synes.data.Layer;
import net.mkonrad.synes.data.RhythmInstrument;
import net.mkonrad.synes.data.SynthObj;
import net.mkonrad.synes.gui.elements.instruments.BoxShape;
import net.mkonrad.synes.gui.elements.instruments.CylinderShape;
import net.mkonrad.synes.gui.elements.instruments.InstrumentShape;
import net.mkonrad.synes.gui.style.Colors;

public class Snare extends RhythmInstrument
{

  public Snare()
  {
    super();
    _name = "synes_snare";
    _iconName = "snare.png";
    _texture = "box.png";
    _color = Colors.red;
  }
  
 public InstrumentShape createInstrumentShape(SynthObj synthData, Point3f pos)
  {
    //return new StarShape(beatData, pos, height);
   return new BoxShape(synthData, pos);
  }
}
